############################################################################
# Keith R. Jackson, LBNL
#Copyright (c) 2003, The Regents of the University of California,
#through Lawrence Berkeley National Laboratory 
#(subject to receipt of any required approvals from the U.S. Dept. of Energy). 
#All rights reserved. 
###########################################################################

###########################################################################
# Config file for the unit test framework for pyGlobus. There is a section
# defined for each module. Edit each of the sections appropriately for your
# site.
##########################################################################

##########################################################################
# This section is for testing the gram client. The test will attempt
# to submit and job, and wait for it to complete.
##########################################################################
[gramClient]
# The resource manager to submit a job to.
rm = scott.lbl.gov 
# The rsl string to run when the job is submitted.
rsl = &(executable=/bin/date)


############################################################################
# Test the gassServerEZ module, by submitting a job and attempting to capture
# the standard output stream.
###########################################################################
[gassServerEZ]
# The resource manager to submit a job to.
rm = clipper.lbl.gov
# The rsl string to run when the job is submitted.
rsl = &(executable=/bin/date)

############################################################################
# Tests the ftpClient module, by putting a source file in a location
###########################################################################
[ftpClient]
#the source file that will be put
src = /etc/group
#the url where the source file will be placed
url = gsiftp://diesel.lbl.gov/tmp/mattownsftpPutResult
#where the file you get is placed
dest = ./FTPgetResult
#the srcUrl for the 3rd party transfer
srcUrl = gsiftp://scott.lbl.gov/etc/group
#the destination for the third party transfer file
destUrl = gsiftp://portnoyc.lbl.gov/tmp/thirdpartyresult
#the directory that will be listed
ftpList = gsiftp://diesel.lbl.gov/tmp
#the directory that will be created
ftpDir =/ftpMkdirTest
#where a file will be moved then later deleted
fileName =/ftpMkdirTest/test_ftpMove
#bad url for existence test
badUrl = gsiftp://scott.lbl.gov/etc/grou
#big file that will have a put initiated then aborted
bigUrl = gsiftp://scott.lbl.gov/tmp/bigFile
#number of streams for a parallel transfer
streams = 4
###########################################################################
# Config for testing the gassCopy package.
###########################################################################
[gassCopy]
# gsiftp url to get file from
gsiftpSrcUrl = gsiftp://portnoyc.lbl.gov/etc/group
# gsiftp url to put the above file to
gsiftpDestUrl = gsiftp://diesel.lbl.gov/tmp/foobar1234

#################################################################
# Config for the gassFile package.
#################################################################
[gassFile]
# File to read
readFile = /etc/group
writeFile = /tmp/foobar9876
#################################################################
# Config for the gassTransdfer package.
#################################################################
[gassTransfer]
#source file for transfering
src = /etc/group
#destination for the file
destGet = /tmp/gassGetResult
destPut = /tmp/gassPutResult
destAppend = /tmp/gassAppendResult
#################################################################
# Config for the gassCache package.
#################################################################
[gassCache]
#url to add to cache
url = gsiftp://clipper.lbl.gov/etc/group
#################################################################
# Config for the rlsClient package.
#################################################################
[rlsClient]
#url of the rls server 
url = rls://bosshog.lbl.gov 
lfn = testLfn
pfn1 = /etc/group 
pfn2 = /etc/passwd
regExp = *
badFn = /etc/grou
#################################################################
# Config for the myProxy package.
#################################################################
[myProxy]
host = myproxy.ncsa.uiuc.edu





