############################################################################
# Matt Rodriguez, LBNL
#Copyright (c) 2003, The Regents of the University of California,
#through Lawrence Berkeley National Laboratory 
#(subject to receipt of any required approvals from the U.S. Dept. of Energy). 
#All rights reserved. 
###########################################################################

from pyGlobus.myProxy import MyProxy
from pyGlobus.security import grid_proxy_destroy, grid_proxy_init
import unittest,ConfigParser
config_file = 'config.py'
config = None

class MyProxyTestCase(unittest.TestCase):
    """
       This can't really be put into the unittesting framework because it requires the user to
       enter their passphrase several times
       """
    def setUp(self):
	global config
        if config == None:
            config = ConfigParser.ConfigParser()
            config.read(config_file)
	self._proxy = MyProxy()
	self._hostname = config.get("myProxy", "host")

    def checkCreateProxy(self):
	print "Testing createProxy"
	proxyFile = "/tmp/MyProxy.tmp"
	grid_proxy_init(1,  proxyFile)
	print "Created proxy"
	self._proxy.create_proxy(proxyFile, self._hostname)
	print "Stored proxy in repository"
	self._proxy.get_info(self._hostname)
	print "Retrived info about proxy"
	self._proxy.destroy_proxy(self._hostname)
	print "destroyed proxy in repository"
	grid_proxy_destroy(proxyFile)
	
    def checkGetDelegation(self):
	print "Testing get_delegation"
	self._proxy.get_delegation(self._hostname)

    def checkProxyInfo(self):
	print "Testing proxy_info"
	ps = self._proxy.get_info(self._hostname)
	print ps
	
    def checkProxyDestroy(self):
	print "testing proxy_destroy"
	self._proxy.destroy_proxy(self._hostname)
	
	

def makeTestSuite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(MyProxyTestCase, "check"))
    return suite

def main():
    unittest.main(defaultTest="makeTestSuite")


if __name__ == "__main__" : main()
